aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-27 13:59:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-27 14:00:48 +0000
commit1834bc30078ef01d8acac13ac9698bb8a69340b1 (patch)
tree1033172a0a233cea4dfe49e58fe057a17c93e9c8
parentdf738e3f4fbdccc166d36581ea94375091e127ea (diff)
downloadaports-1834bc30078ef01d8acac13ac9698bb8a69340b1.tar.gz
aports-1834bc30078ef01d8acac13ac9698bb8a69340b1.tar.bz2
aports-1834bc30078ef01d8acac13ac9698bb8a69340b1.tar.xz
x11/xf86-video-* (various): depend on dri driver from mesa
-rw-r--r--x11/xf86-video-ati/APKBUILD4
-rw-r--r--x11/xf86-video-intel/APKBUILD4
-rw-r--r--x11/xf86-video-mach64/APKBUILD4
-rw-r--r--x11/xf86-video-r128/APKBUILD16
-rw-r--r--x11/xf86-video-savage/APKBUILD4
-rw-r--r--x11/xf86-video-tdfx/APKBUILD4
6 files changed, 20 insertions, 16 deletions
diff --git a/x11/xf86-video-ati/APKBUILD b/x11/xf86-video-ati/APKBUILD
index 1fedb1bfcf..5a7ca0c402 100644
--- a/x11/xf86-video-ati/APKBUILD
+++ b/x11/xf86-video-ati/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-ati
pkgver=6.12.2
-pkgrel=2
+pkgrel=3
pkgdesc="ATI video driver"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends="mesa-dri-ati"
makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
videoproto renderproto libdrm-dev xf86driproto glproto mesa-dev
xineramaproto
diff --git a/x11/xf86-video-intel/APKBUILD b/x11/xf86-video-intel/APKBUILD
index 39b2fda6bb..b83559629a 100644
--- a/x11/xf86-video-intel/APKBUILD
+++ b/x11/xf86-video-intel/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-intel
pkgver=2.7.99.902
-pkgrel=0
+pkgrel=1
pkgdesc="X.Org driver for Intel cards"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends="mesa-dri-intel"
makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
videoproto renderproto glproto xineramaproto libdrm-dev xf86driproto
mesa-dev"
diff --git a/x11/xf86-video-mach64/APKBUILD b/x11/xf86-video-mach64/APKBUILD
index 2ddace9416..a6d7668aeb 100644
--- a/x11/xf86-video-mach64/APKBUILD
+++ b/x11/xf86-video-mach64/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-mach64
pkgver=6.8.1
-pkgrel=0
+pkgrel=1
pkgdesc="ATI Mach64 video driver"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends="mesa-dri-mach64"
makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
videoproto renderproto xineramaproto libdrm-dev xf86driproto glproto
mesa-dev
diff --git a/x11/xf86-video-r128/APKBUILD b/x11/xf86-video-r128/APKBUILD
index b5bae42703..c0fc28d5aa 100644
--- a/x11/xf86-video-r128/APKBUILD
+++ b/x11/xf86-video-r128/APKBUILD
@@ -1,23 +1,27 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-r128
pkgver=6.8.0
-pkgrel=1
+pkgrel=2
pkgdesc="ATI Rage128 video driver"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
-depends="uclibc"
-makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
- videoproto renderproto"
+depends="mesa-dri-r128"
+makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto xineramaproto libdrm-dev xf86driproto glproto
+ mesa-dev expat-dev
+ "
-source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
build ()
{
cd "$srcdir"/$pkgname-$pkgver
${CC:-gcc} -dumpspecs | sed 's/%(link_now)//g' > "$srcdir"/gcc-specs
export GCC_SPECS="$srcdir"/gcc-specs
- ./configure --prefix=/usr || return 1
+ ./configure --prefix=/usr \
+ --enable-dri \
+ || return 1
make || return 1
make DESTDIR="$pkgdir" install || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
diff --git a/x11/xf86-video-savage/APKBUILD b/x11/xf86-video-savage/APKBUILD
index 77a42ab1e1..888e580835 100644
--- a/x11/xf86-video-savage/APKBUILD
+++ b/x11/xf86-video-savage/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-savage
pkgver=2.3.0
-pkgrel=0
+pkgrel=1
pkgdesc="S3 Savage video driver"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends="mesa-dri-savage"
makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
videoproto renderproto libdrm-dev xf86driproto mesa-dev glproto
"
diff --git a/x11/xf86-video-tdfx/APKBUILD b/x11/xf86-video-tdfx/APKBUILD
index 7fe88df88d..7cef201628 100644
--- a/x11/xf86-video-tdfx/APKBUILD
+++ b/x11/xf86-video-tdfx/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xf86-video-tdfx
pkgver=1.4.2
-pkgrel=0
+pkgrel=1
pkgdesc="3Dfx video driver"
url="http://xorg.freedesktop.org/"
license="custom"
subpackages="$pkgname-dev $pkgname-doc"
-depends=
+depends="mesa-dri-tdfx"
makedepends="pkgconfig xorg-server-dev libxi-dev fontsproto randrproto
videoproto renderproto libdrm-dev xf86driproto mesa-dev glproto
"